Ticket #28989

JTalkの更新

Open Date: 2012-07-12 19:57 Last Update: 2012-11-27 19:18

Reporter:
Owner:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
None

Details

JTalk 音声エンジンを Open JTalk 1.05 (2011年12月リリース)に基づく実装に更新します。

オリジナルの実装からパッチを当てる箇所を減らすように修正したため miscdep の互換性がなくなっています。

ソースから実行するときは lp:nvdajp 4237 以降と miscdep 86 以降の組み合わせでお使いください。

なお、辞書の更新は今後の課題です。また、内部処理の文字コードを Shift-JIS から UTF-8 に変更する検討も行う予定です。

Ticket History (3/6 Histories)

2012-07-12 19:57 Updated by: nishimoto
  • New Ticket "JTalkの更新" created
2012-07-12 22:54 Updated by: nishimoto
Comment

miscdep 87 にて mecab 辞書の更新を行ないました。

読み付与の挙動が変わった可能性があるので、これから確認して、未知語の登録などを行ないます。

naist-jdic の更新の結果、テキスト解析の出力がすこし変わりました。

最終フィールドの韻律情報がスラッシュ区切りになったので、カンマ区切りでフィールドの切り出しがしやすくなっています。

リポジトリの更新をしているところです。開発チーム向けにしばらく下記にバイナリを置いておきます。

https://www.dropbox.com/sh/6uwe2tx7rxzk34b/88gOgm93wl/nvdajp-miscdep-87.7z

miscdep ファイルそのものは無駄なデータを削ってコンパクトになりました。

2012-07-13 13:02 Updated by: nishimoto
Comment

更新した JTalk のアドオン版パッケージ nvdajp-jtalk-120713 を作りました。

http://sourceforge.jp/projects/nvdajp/releases/56419/note

2012-07-14 14:12 Updated by: nishimoto
  • Milestone Update from (None) to 2012.3jp (closed)
  • Resolution Update from None to Fixed
Comment

現在の Open JTalk の実装では Microsoft コンパイラで UTF-8 バージョンをビルドできるようになっていません。

Makefile.mak の中のオプションを CHARSET_UTF_8 に変更する、いくつかのヘッダファイルを BOM ありの UTF-8 に修正する、などしてみましたが、コンパイル中の warning が解消できず、実行時にエラーで止まります。

(オリジナルの Open JTalk は Linux で UTF-8 がサポートされています)

コンパイラを変えるか、ソースに大幅に手を入れるか、どちらかが必要と思われます。

そのため JTalk 内部処理の UTF-8 化は別チケットであらためて検討します。

なお、miscdep rev 89 にて JTalk 内のテストコード translateTest と jtalk_runner を取り込んだので miscdep だけで mecab 辞書と libopenjtalk.dll のテストができるようになりました。

2012-07-15 10:38 Updated by: nishimoto
Comment

いままで使っていた Windows SDK 7.0 から Windows SDK 7.1 に作業環境をバージョンアップしました。 これに合わせて miscdep 91 でスクリプトとMakefile.makを一部変更しました。

特にロケールに関する改善はありませんでした。(依然として liblouis のビルドの前に chcp 437 が必要など)

Visual Studio 2010 SP1 が入っている環境で Windows SDK 7.1 を入れると不具合があるようで、下記の対処が必要でした。

  • SDK のインストールに失敗したら、いったんアンインストール
  • SDK 7.1 をインストールする。そのときに C++ compilers だけチェックをはずす
  • インストールが終わったら、下記の修正パッケージを入れる。

なお、本家チケット2508によると NVDA は SDK 7.0 と 7.1 をサポートしているとのことです。

2012-11-27 19:18 Updated by: nishimoto
  • Ticket Close date is changed to 2012-11-27 19:18
  • Status Update from Open to Closed

Attachment File List

No attachments

Edit

Please login to add comment to this ticket » Login